Bug 497738 - Cursor point changes at the top edge
Cursor point changes at the top edge
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-26 13:05 EDT by Pete Zaitcev
Modified: 2010-05-10 19:48 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-10 19:06:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg (37.97 KB, text/plain)
2009-04-27 12:56 EDT, Pete Zaitcev
no flags Details
Xorg.0.log (44.12 KB, text/plain)
2009-04-27 12:57 EDT, Pete Zaitcev
no flags Details
Picture of the bug (28.74 KB, image/jpeg)
2009-08-09 21:21 EDT, Pete Zaitcev
no flags Details

  None (edit)
Description Pete Zaitcev 2009-04-26 13:05:20 EDT
Description of problem:

The X cursor does not point where it should at the top edge of the screen.

Version-Release number of selected component (if applicable):

metacity-2.26.0-1.fc11.x86_64

How reproducible:

100% on given computer

Steps to Reproduce:
1. Remove the top panel, so application windows can go flush with top edge
   of the screen.
2. Open a window that's sizeable (Firefox)
3. Grab the top and size it so it goes to the top
4. Cursor cannot cross the top and get truncated. This is the bug.

Actual results:

Cursor stuck at edge

Expected results:

Cursor crosses edge

Additional info:

Right side works ok

You cannot see it by just moving the cursor around, because the focus point
is at the top of arrow cursor. You need a different kind of cursor, like
the up+down double arrow that Metacity uses for sizing.

Metacity itself didn't change since March 29. This bug is only a week old.
I'm quite sure it's something with hardware cursor on Radeon.
Comment 1 Matěj Cepl 2009-04-27 12:48:08 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Pete Zaitcev 2009-04-27 12:56:49 EDT
Created attachment 341459 [details]
dmesg
Comment 3 Pete Zaitcev 2009-04-27 12:57:28 EDT
Created attachment 341460 [details]
Xorg.0.log
Comment 4 Pete Zaitcev 2009-04-29 13:38:33 EDT
Still there in 6.12.2-9.fc11. Come to think of it, when was the last
time we changed anything to do with the hardware cursor? I cannot
remember if the bug was there in 6.12.1.
Comment 5 Matěj Cepl 2009-05-14 09:34:18 EDT
(In reply to comment #4)
> Still there in 6.12.2-9.fc11. Come to think of it, when was the last
> time we changed anything to do with the hardware cursor? I cannot
> remember if the bug was there in 6.12.1.  

I think it could be some kind of discoordination of mouse coordinates. Let's see what Dave thinks about it.
Comment 6 Bug Zapper 2009-06-09 10:36:35 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Pete Zaitcev 2009-07-06 18:59:59 EDT
Still there in xorg-x11-drv-ati-6.12.2-19.fc12.x86_64. It's not a big
deal, just... strange. I figure nobody sees it because we ship with
panel on top edge by default.
Comment 8 Pete Zaitcev 2009-08-09 21:07:55 EDT
The plot thickens on this:

xorg-x11-drv-ati-6.12.2-21.fc12.x86_64
xorg-x11-server-Xorg-1.6.99-28.20090804.fc12.x86_64
kernel-2.6.31-0.125.rc5.git2.fc12.x86_64

Now the cursor moves so it's halfway visible, as it should. However,
there's still 1-pixel wide band where it's buggy. In other words, here's
a scenario:

- Start outside and move up
- When the point of the arrow just touches the edge, the cursor turns into
  double-arrow and is placed incorrectly: this is the bug!
- However, if you continue pressing up just by 1 pixel, the cursor will
  warp and assume the normal position (halfway visible double-arrow).
- If you move pointer down, the cursor will move normally and then
  convert into correctly positioned single arrow without any warping.

So, the bug now has a hysteresis: only occurs on the way up, not down.
Comment 9 Pete Zaitcev 2009-08-09 21:21:33 EDT
Created attachment 356834 [details]
Picture of the bug
Comment 10 Matěj Cepl 2009-11-05 12:13:02 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages (at least F12Beta, but even better if the very latest versions).

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 11 Bug Zapper 2009-11-16 04:56:44 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Matěj Cepl 2010-02-26 07:15:11 EST
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]
Comment 13 Matěj Cepl 2010-05-10 19:06:54 EDT
Since there are insufficient details provided in this report for us to investigate the issue further, and we have not received feedback to the information we have requested above, we will assume the problem was not reproducible, or has been fixed in one of the updates we have released for the reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest update of their distribution, and if this issue turns out to still be reproducible in the latest update, please reopen this bug with additional information.

Closing as INSUFFICIENT_DATA.
Comment 14 Pete Zaitcev 2010-05-10 19:48:58 EDT
I sent that D600 back to mothership a while ago. Something was busted
in the handling of hardware cursor on Radeon. Not a problem on Intel.

Note You need to log in before you can comment on or make changes to this bug.